> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate risk for tradable identifiers.

> Calculates requested measures and scenarios for existing tradable identifiers. Global and identifier-specific errors use the same payload conventions as the contract-risk operation. This synchronous, read-only operation has a configurable `RiskCalculationRequest:Timeout` deadline: 165 seconds by default and at most 170 seconds. If the deadline expires, HTTP 200 contains `IsSuccess = false` and the error "Risk calculation exceeded the application deadline. Reduce the request size and retry."



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Tradable/CalculateRiskForTradableIds
openapi: 3.0.4
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
tags:
  - name: AdminUser
  - name: AtotiReport
  - name: AtotiSession
  - name: BloombergOAuth
  - name: Bond
  - name: BondYieldCurvePage
  - name: BookAccess
  - name: Books
  - name: Commodity
  - name: Counterparties
  - name: Currencies
  - name: Equity
  - name: EquityDividend
  - name: EquityPage
  - name: FeatureFlag
  - name: Fx
  - name: FxPage
  - name: GroupAccess
  - name: Home
  - name: LegacyPosition
  - name: MarketData
  - name: MarketDataProvider
  - name: MarketDataProviderAccess
  - name: Meta
  - name: Notification
  - name: Organisation
  - name: PnLReport
  - name: PortfolioAccess
  - name: Portfolios
  - name: Position
  - name: PositionFilter
  - name: PricingEnvironment
  - name: PricingEnvironmentAccess
  - name: RateAsset
  - name: RateAssetPage
  - name: Report
  - name: ReportDefinition
  - name: ReportHistoryLauncherQuery
  - name: ReportLauncher
  - name: ReportQuery
  - name: ReportQueryViewUser
  - name: ReportRestriction
  - name: ReportView
  - name: RiskReport
  - name: Tradable
  - name: TradeBooking
  - name: User
  - name: VarReport
  - name: VarReportQuery
  - name: YieldCurvePage
paths:
  /api/Tradable/CalculateRiskForTradableIds:
    post:
      tags:
        - Tradable
      summary: Calculate risk for tradable identifiers.
      description: >-
        Calculates requested measures and scenarios for existing tradable
        identifiers. Global and identifier-specific errors use the same payload
        conventions as the contract-risk operation. This synchronous, read-only
        operation has a configurable `RiskCalculationRequest:Timeout` deadline:
        165 seconds by default and at most 170 seconds. If the deadline expires,
        HTTP 200 contains `IsSuccess = false` and the error "Risk calculation
        exceeded the application deadline. Reduce the request size and retry."
      operationId: CalculateRiskForTradableIds
      requestBody:
        description: >-
          JSON request with non-empty `TradableIds` and `RiskMeasures`,
          meaningful `PricingDate` and `MarketDate`, reporting currency,
          optional scenarios, overrides,
          model/realtime/index-decomposition/pricing-environment fields, and one
          unambiguous market-data environment selection.
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForTradableIdsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForTradableIdsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForTradableIdsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForTradableIdsRequest'
      responses:
        '200':
          description: Returns risk results and global or identifier-specific errors.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCalculateRiskResponse'
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiCalculateRiskForTradableIdsRequest:
      required:
        - $type
      type: object
      properties:
        provider_id:
          type: string
          description: >-
            Opaque identifier of a single market-data provider to use instead of
            either environment-name option.
          nullable: true
        entity_access_type:
          enum:
            - view
            - edit
            - owner
            - blocked
          type: string
          description: >-
            Access classification associated with the selected market-data
            environment.
        market_data_environment_names:
          type: array
          items:
            type: string
          description: >-
            Names of the market-data environments to use. Do not combine this
            list with the single-name or provider-ID alternatives.
          nullable: true
        market_data_environment_name:
          type: string
          description: >-
            Single market-data environment name to use instead of
            `market_data_environment_names` or `provider_id`.
          nullable: true
          example: Example market data
        risk_measures:
          type: array
          items:
            $ref: '#/components/schemas/IRiskMeasure'
          description: Risk-measure definitions to evaluate for each requested tradable.
          nullable: true
        risk_scenarios:
          type: array
          items:
            $ref: '#/components/schemas/RiskScenario'
          description: >-
            Additional scenarios under which the requested measures are
            evaluated; defaults to an empty list.
          nullable: true
        pricing_date:
          type: string
          description: Valuation date for the requested risk measures.
          format: date-time
        market_date:
          type: string
          description: Date of the market data used by the calculation.
          format: date-time
        market_data_override:
          $ref: '#/components/schemas/MarketDataOverride'
        reporting_currency:
          type: string
          description: Currency in which currency-denominated risk results are reported.
          nullable: true
        exclude_historically_derived_vol_surfaces:
          type: boolean
          description: >-
            Whether historically derived volatility surfaces are excluded from
            the selected market data; defaults to `false`.
          example: false
        use_real_time_eq_spot:
          type: boolean
          description: >-
            Whether real-time equity spot inputs are requested; defaults to
            `false`.
          example: false
        use_real_time_fx_spot:
          type: boolean
          description: >-
            Whether real-time foreign-exchange spot inputs are requested;
            defaults to `false`.
          example: false
        consolidate_error_messages:
          type: boolean
          description: >-
            Whether repeated calculation errors are consolidated in the
            response; defaults to `true`.
          example: true
        pricing_model_manager:
          $ref: '#/components/schemas/IPricingModelManager'
        equity_indices_to_decompose:
          type: array
          items:
            $ref: '#/components/schemas/InstrumentIdentifierBooleanKeyValuePair'
          description: >-
            Equity-index identifiers paired with flags that control whether each
            index is decomposed for this calculation.
          nullable: true
        pricing_environment_name:
          type: string
          description: >-
            Optional accessible pricing-environment name; when supplied, it
            selects the environment in place of `pricing_environment_id`.
          nullable: true
        pricing_environment_id:
          type: string
          description: >-
            Optional identifier of the pricing environment; used when no name is
            supplied.
          nullable: true
        tradable_ids:
          type: array
          items:
            type: string
          description: Identifiers of the stored tradables to calculate.
          nullable: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.ApiCalculateRiskForTradableIdsRequest,
              Derivitec.Web.Core
      additionalProperties: false
      description: Requests risk measures for previously stored tradables.
    ApiCalculateRiskResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
          description: >-
            Whether the operation completed successfully. The default is `true`;
            error outcomes set it to `false`.
          example: true
        error_messages:
          type: array
          items:
            type: string
          description: >-
            Messages explaining operation-level failures. The collection is
            empty by default.
          nullable: true
        result:
          $ref: '#/components/schemas/RiskCalculationResult'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.ApiCalculateRiskResponse,
              Derivitec.Web.Core
      additionalProperties: false
      description: Returns risk results and calculation diagnostics.
    IRiskMeasure:
      description: >-
        Common role for a named risk measure exposed through calculation and
        report contracts.
      discriminator:
        propertyName: $type
        mapping:
          Derivitec.Web.Core.RiskEngine.BorrowCurveDelta, Derivitec.Web.Core: '#/components/schemas/BorrowCurveDelta'
          Derivitec.Web.Core.RiskEngine.BorrowCurveShock, Derivitec.Web.Core: '#/components/schemas/BorrowCurveShock'
          Derivitec.Web.Core.RiskEngine.CmdtyDelta, Derivitec.Web.Core: '#/components/schemas/CmdtyDelta'
          Derivitec.Web.Core.RiskEngine.CmdtyGamma, Derivitec.Web.Core: '#/components/schemas/CmdtyGamma'
          Derivitec.Web.Core.RiskEngine.CmdtyRealisedVol, Derivitec.Web.Core: '#/components/schemas/CmdtyRealisedVol'
          Derivitec.Web.Core.RiskEngine.CmdtyRiskMeasure, Derivitec.Web.Core: '#/components/schemas/CmdtyRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.CmdtySpotShock, Derivitec.Web.Core: '#/components/schemas/CmdtySpotShock'
          Derivitec.Web.Core.RiskEngine.CmdtyVega, Derivitec.Web.Core: '#/components/schemas/CmdtyVega'
          Derivitec.Web.Core.RiskEngine.CreditDelta, Derivitec.Web.Core: '#/components/schemas/CreditDelta'
          Derivitec.Web.Core.RiskEngine.CreditGamma, Derivitec.Web.Core: '#/components/schemas/CreditGamma'
          Derivitec.Web.Core.RiskEngine.CreditParallelShock, Derivitec.Web.Core: '#/components/schemas/CreditParallelShock'
          Derivitec.Web.Core.RiskEngine.CreditRiskMeasure, Derivitec.Web.Core: '#/components/schemas/CreditRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.CreditSpread, Derivitec.Web.Core: '#/components/schemas/CreditSpread'
          Derivitec.Web.Core.RiskEngine.CreditVega, Derivitec.Web.Core: '#/components/schemas/CreditVega'
          Derivitec.Web.Core.RiskEngine.DividendDelta, Derivitec.Web.Core: '#/components/schemas/DividendDelta'
          Derivitec.Web.Core.RiskEngine.DividendShock, Derivitec.Web.Core: '#/components/schemas/DividendShock'
          Derivitec.Web.Core.RiskEngine.Duration, Derivitec.Web.Core: '#/components/schemas/Duration'
          Derivitec.Web.Core.RiskEngine.EqCorrelationDelta, Derivitec.Web.Core: '#/components/schemas/EqCorrelationDelta'
          Derivitec.Web.Core.RiskEngine.EqDelta, Derivitec.Web.Core: '#/components/schemas/EqDelta'
          Derivitec.Web.Core.RiskEngine.EqDeltaShares, Derivitec.Web.Core: '#/components/schemas/EqDeltaShares'
          Derivitec.Web.Core.RiskEngine.EqFairVolDelta, Derivitec.Web.Core: '#/components/schemas/EqFairVolDelta'
          Derivitec.Web.Core.RiskEngine.EqFairVolGamma, Derivitec.Web.Core: '#/components/schemas/EqFairVolGamma'
          Derivitec.Web.Core.RiskEngine.EqGamma, Derivitec.Web.Core: '#/components/schemas/EqGamma'
          Derivitec.Web.Core.RiskEngine.EqRealisedVol, Derivitec.Web.Core: '#/components/schemas/EqRealisedVol'
          Derivitec.Web.Core.RiskEngine.EqRiskMeasure, Derivitec.Web.Core: '#/components/schemas/EqRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.EqSpotShock, Derivitec.Web.Core: '#/components/schemas/EqSpotShock'
          Derivitec.Web.Core.RiskEngine.EqVanna, Derivitec.Web.Core: '#/components/schemas/EqVanna'
          Derivitec.Web.Core.RiskEngine.EqVega, Derivitec.Web.Core: '#/components/schemas/EqVega'
          Derivitec.Web.Core.RiskEngine.EqVolGamma, Derivitec.Web.Core: '#/components/schemas/EqVolGamma'
          Derivitec.Web.Core.RiskEngine.EqVolIndexDeltaShares, Derivitec.Web.Core: '#/components/schemas/EqVolIndexDeltaShares'
          Derivitec.Web.Core.RiskEngine.EqVolIndexGammaShares, Derivitec.Web.Core: '#/components/schemas/EqVolIndexGammaShares'
          Derivitec.Web.Core.RiskEngine.EqVolIndexVega, Derivitec.Web.Core: '#/components/schemas/EqVolIndexVega'
          Derivitec.Web.Core.RiskEngine.EqVolSkewDelta, Derivitec.Web.Core: '#/components/schemas/EqVolSkewDelta'
          Derivitec.Web.Core.RiskEngine.EqVolSkewGamma, Derivitec.Web.Core: '#/components/schemas/EqVolSkewGamma'
          Derivitec.Web.Core.RiskEngine.FxDelta, Derivitec.Web.Core: '#/components/schemas/FxDelta'
          Derivitec.Web.Core.RiskEngine.FxDeltaByCross, Derivitec.Web.Core: '#/components/schemas/FxDeltaByCross'
          Derivitec.Web.Core.RiskEngine.FxGamma, Derivitec.Web.Core: '#/components/schemas/FxGamma'
          Derivitec.Web.Core.RiskEngine.FxGammaByCross, Derivitec.Web.Core: '#/components/schemas/FxGammaByCross'
          Derivitec.Web.Core.RiskEngine.FxRealisedVol, Derivitec.Web.Core: '#/components/schemas/FxRealisedVol'
          Derivitec.Web.Core.RiskEngine.FxRiskMeasure, Derivitec.Web.Core: '#/components/schemas/FxRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.FxSpotShock, Derivitec.Web.Core: '#/components/schemas/FxSpotShock'
          Derivitec.Web.Core.RiskEngine.FxSpotVolShock, Derivitec.Web.Core: '#/components/schemas/FxSpotVolShock'
          Derivitec.Web.Core.RiskEngine.FxVanna, Derivitec.Web.Core: '#/components/schemas/FxVanna'
          Derivitec.Web.Core.RiskEngine.FxVega, Derivitec.Web.Core: '#/components/schemas/FxVega'
          Derivitec.Web.Core.RiskEngine.FxVolGamma, Derivitec.Web.Core: '#/components/schemas/FxVolGamma'
          Derivitec.Web.Core.RiskEngine.FxVolShock, Derivitec.Web.Core: '#/components/schemas/FxVolShock'
          Derivitec.Web.Core.RiskEngine.IrBasisShock, Derivitec.Web.Core: '#/components/schemas/IrBasisShock'
          Derivitec.Web.Core.RiskEngine.IrDelta, Derivitec.Web.Core: '#/components/schemas/IrDelta'
          Derivitec.Web.Core.RiskEngine.IrGamma, Derivitec.Web.Core: '#/components/schemas/IrGamma'
          Derivitec.Web.Core.RiskEngine.IrParallelShock, Derivitec.Web.Core: '#/components/schemas/IrParallelShock'
          Derivitec.Web.Core.RiskEngine.IrRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IrRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.IrVega, Derivitec.Web.Core: '#/components/schemas/IrVega'
          Derivitec.Web.Core.RiskEngine.MarketDataErrorReportingMeasure, Derivitec.Web.Core: '#/components/schemas/MarketDataErrorReportingMeasure'
          Derivitec.Web.Core.RiskEngine.Npv, Derivitec.Web.Core: '#/components/schemas/Npv'
          Derivitec.Web.Core.RiskEngine.PricingDetail, Derivitec.Web.Core: '#/components/schemas/PricingDetail'
          Derivitec.Web.Core.RiskEngine.RealisedVolMeasure, Derivitec.Web.Core: '#/components/schemas/RealisedVolMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.ReferenceVol, Derivitec.Web.Core: '#/components/schemas/ReferenceVol'
          Derivitec.Web.Core.RiskEngine.Rho, Derivitec.Web.Core: '#/components/schemas/Rho'
          Derivitec.Web.Core.RiskEngine.RiskMeasure, Derivitec.Web.Core: '#/components/schemas/RiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.ScenarioImpact, Derivitec.Web.Core: '#/components/schemas/ScenarioImpact'
          Derivitec.Web.Core.RiskEngine.ScenarioRiskImpact, Derivitec.Web.Core: '#/components/schemas/ScenarioRiskImpact'
          Derivitec.Web.Core.RiskEngine.StoredScenario, Derivitec.Web.Core: '#/components/schemas/StoredScenario'
          Derivitec.Web.Core.RiskEngine.Theta, Derivitec.Web.Core: '#/components/schemas/Theta'
          Derivitec.Web.Core.RiskEngine.VegaNotional, Derivitec.Web.Core: '#/components/schemas/VegaNotional'
          Derivitec.Web.Core.Interfaces.ICmdtyRiskMeasure, Derivitec.Web.Core: '#/components/schemas/ICmdtyRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IEqRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IEqRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IFxRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IFxRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IIrRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IIrRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IRiskMeasureMintlifyShape'
      oneOf:
        - $ref: '#/components/schemas/BorrowCurveDelta'
        - $ref: '#/components/schemas/BorrowCurveShock'
        - $ref: '#/components/schemas/CmdtyDelta'
        - $ref: '#/components/schemas/CmdtyGamma'
        - $ref: '#/components/schemas/CmdtyRealisedVol'
        - $ref: '#/components/schemas/CmdtyRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/CmdtySpotShock'
        - $ref: '#/components/schemas/CmdtyVega'
        - $ref: '#/components/schemas/CreditDelta'
        - $ref: '#/components/schemas/CreditGamma'
        - $ref: '#/components/schemas/CreditParallelShock'
        - $ref: '#/components/schemas/CreditRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/CreditSpread'
        - $ref: '#/components/schemas/CreditVega'
        - $ref: '#/components/schemas/DividendDelta'
        - $ref: '#/components/schemas/DividendShock'
        - $ref: '#/components/schemas/Duration'
        - $ref: '#/components/schemas/EqCorrelationDelta'
        - $ref: '#/components/schemas/EqDelta'
        - $ref: '#/components/schemas/EqDeltaShares'
        - $ref: '#/components/schemas/EqFairVolDelta'
        - $ref: '#/components/schemas/EqFairVolGamma'
        - $ref: '#/components/schemas/EqGamma'
        - $ref: '#/components/schemas/EqRealisedVol'
        - $ref: '#/components/schemas/EqRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/EqSpotShock'
        - $ref: '#/components/schemas/EqVanna'
        - $ref: '#/components/schemas/EqVega'
        - $ref: '#/components/schemas/EqVolGamma'
        - $ref: '#/components/schemas/EqVolIndexDeltaShares'
        - $ref: '#/components/schemas/EqVolIndexGammaShares'
        - $ref: '#/components/schemas/EqVolIndexVega'
        - $ref: '#/components/schemas/EqVolSkewDelta'
        - $ref: '#/components/schemas/EqVolSkewGamma'
        - $ref: '#/components/schemas/FxDelta'
        - $ref: '#/components/schemas/FxDeltaByCross'
        - $ref: '#/components/schemas/FxGamma'
        - $ref: '#/components/schemas/FxGammaByCross'
        - $ref: '#/components/schemas/FxRealisedVol'
        - $ref: '#/components/schemas/FxRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/FxSpotShock'
        - $ref: '#/components/schemas/FxSpotVolShock'
        - $ref: '#/components/schemas/FxVanna'
        - $ref: '#/components/schemas/FxVega'
        - $ref: '#/components/schemas/FxVolGamma'
        - $ref: '#/components/schemas/FxVolShock'
        - $ref: '#/components/schemas/IrBasisShock'
        - $ref: '#/components/schemas/IrDelta'
        - $ref: '#/components/schemas/IrGamma'
        - $ref: '#/components/schemas/IrParallelShock'
        - $ref: '#/components/schemas/IrRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IrVega'
        - $ref: '#/components/schemas/MarketDataErrorReportingMeasure'
        - $ref: '#/components/schemas/Npv'
        - $ref: '#/components/schemas/PricingDetail'
        - $ref: '#/components/schemas/RealisedVolMeasureMintlifyShape'
        - $ref: '#/components/schemas/ReferenceVol'
        - $ref: '#/components/schemas/Rho'
        - $ref: '#/components/schemas/RiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/ScenarioImpact'
        - $ref: '#/components/schemas/ScenarioRiskImpact'
        - $ref: '#/components/schemas/StoredScenario'
        - $ref: '#/components/schemas/Theta'
        - $ref: '#/components/schemas/VegaNotional'
        - $ref: '#/components/schemas/ICmdtyRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IEqRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IFxRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IIrRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IRiskMeasureMintlifyShape'
    RiskScenario:
      description: Names and describes a scenario supplied to a risk calculation.
      discriminator:
        propertyName: $type
        mapping:
          Derivitec.Web.Core.RiskEngine.RiskScenario, Derivitec.Web.Core: '#/components/schemas/RiskScenarioMintlifyShape'
          Derivitec.Web.Core.RiskEngine.BorrowCurveScenario, Derivitec.Web.Core: '#/components/schemas/BorrowCurveScenario'
          Derivitec.Web.Core.RiskEngine.CmdtySpotScenario, Derivitec.Web.Core: '#/components/schemas/CmdtySpotScenario'
          Derivitec.Web.Core.RiskEngine.CmdtyVolScenario, Derivitec.Web.Core: '#/components/schemas/CmdtyVolScenario'
          Derivitec.Web.Core.RiskEngine.CompositeScenario, Derivitec.Web.Core: '#/components/schemas/CompositeScenario'
          Derivitec.Web.Core.RiskEngine.CreditScenario, Derivitec.Web.Core: '#/components/schemas/CreditScenario'
          Derivitec.Web.Core.RiskEngine.DerivedScenario, Derivitec.Web.Core: '#/components/schemas/DerivedScenario'
          Derivitec.Web.Core.RiskEngine.DividendIndexVolScenario, Derivitec.Web.Core: '#/components/schemas/DividendIndexVolScenario'
          Derivitec.Web.Core.RiskEngine.DividendScenario, Derivitec.Web.Core: '#/components/schemas/DividendScenario'
          Derivitec.Web.Core.RiskEngine.EqSpotScenario, Derivitec.Web.Core: '#/components/schemas/EqSpotScenario'
          Derivitec.Web.Core.RiskEngine.EquityVolIndexScenario, Derivitec.Web.Core: '#/components/schemas/EquityVolIndexScenario'
          Derivitec.Web.Core.RiskEngine.EqVolIndexVolSurfaceScenario, Derivitec.Web.Core: '#/components/schemas/EqVolIndexVolSurfaceScenario'
          Derivitec.Web.Core.RiskEngine.EqVolScenario, Derivitec.Web.Core: '#/components/schemas/EqVolScenario'
          Derivitec.Web.Core.RiskEngine.EqVolSurfaceScenario, Derivitec.Web.Core: '#/components/schemas/EqVolSurfaceScenario'
          Derivitec.Web.Core.RiskEngine.FxSpotScenario, Derivitec.Web.Core: '#/components/schemas/FxSpotScenario'
          Derivitec.Web.Core.RiskEngine.FxVolSurfaceScenario, Derivitec.Web.Core: '#/components/schemas/FxVolSurfaceScenario'
          Derivitec.Web.Core.RiskEngine.HistoricalScenario, Derivitec.Web.Core: '#/components/schemas/HistoricalScenario'
          Derivitec.Web.Core.RiskEngine.IRParallelShockScenario, Derivitec.Web.Core: '#/components/schemas/IRParallelShockScenario'
          Derivitec.Web.Core.RiskEngine.IrRateAssetScenario, Derivitec.Web.Core: '#/components/schemas/IrRateAssetScenario'
          Derivitec.Web.Core.RiskEngine.IRShockScenario, Derivitec.Web.Core: '#/components/schemas/IRShockScenario'
          Derivitec.Web.Core.RiskEngine.JumpToDefaultScenario, Derivitec.Web.Core: '#/components/schemas/JumpToDefaultScenario'
          Derivitec.Web.Core.RiskEngine.StoredScenario, Derivitec.Web.Core: '#/components/schemas/StoredScenario'
          Derivitec.Web.Core.RiskEngine.ThetaScenario, Derivitec.Web.Core: '#/components/schemas/ThetaScenario'
      oneOf:
        - $ref: '#/components/schemas/RiskScenarioMintlifyShape'
        - $ref: '#/components/schemas/BorrowCurveScenario'
        - $ref: '#/components/schemas/CmdtySpotScenario'
        - $ref: '#/components/schemas/CmdtyVolScenario'
        - $ref: '#/components/schemas/CompositeScenario'
        - $ref: '#/components/schemas/CreditScenario'
        - $ref: '#/components/schemas/DerivedScenario'
        - $ref: '#/components/schemas/DividendIndexVolScenario'
        - $ref: '#/components/schemas/DividendScenario'
        - $ref: '#/components/schemas/EqSpotScenario'
        - $ref: '#/components/schemas/EquityVolIndexScenario'
        - $ref: '#/components/schemas/EqVolIndexVolSurfaceScenario'
        - $ref: '#/components/schemas/EqVolScenario'
        - $ref: '#/components/schemas/EqVolSurfaceScenario'
        - $ref: '#/components/schemas/FxSpotScenario'
        - $ref: '#/components/schemas/FxVolSurfaceScenario'
        - $ref: '#/components/schemas/HistoricalScenario'
        - $ref: '#/components/schemas/IRParallelShockScenario'
        - $ref: '#/components/schemas/IrRateAssetScenario'
        - $ref: '#/components/schemas/IRShockScenario'
        - $ref: '#/components/schemas/JumpToDefaultScenario'
        - $ref: '#/components/schemas/StoredScenario'
        - $ref: '#/components/schemas/ThetaScenario'
    MarketDataOverride:
      required:
        - $type
      type: object
      properties:
        bond_prices:
          type: array
          items:
            $ref: '#/components/schemas/BondDataExternal'
          description: Replacement bond observations supplied to the calculation.
          nullable: true
        bond_yield_curve_overrides:
          type: array
          items:
            $ref: '#/components/schemas/BondYieldCurveOverride'
          description: Replacement bond yield curves supplied by currency.
          nullable: true
        discount_curve_overrides:
          type: array
          items:
            $ref: '#/components/schemas/DiscountCurveOverride'
          description: Replacement discount curves supplied by currency.
          nullable: true
        discount_curve_fitting_overrides:
          type: array
          items:
            $ref: '#/components/schemas/CurveFittingOverride'
          description: Replacement discount-curve fitting inputs supplied by currency.
          nullable: true
        index_curve_overrides:
          type: array
          items:
            $ref: '#/components/schemas/DiscountCurveOverride'
          description: Replacement index curves supplied by rate-asset code.
          nullable: true
        index_curve_fitting_overrides:
          type: array
          items:
            $ref: '#/components/schemas/CurveFittingOverride'
          description: Replacement index-curve fitting inputs supplied by rate-asset code.
          nullable: true
        equity_spot_overrides:
          type: array
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          description: >-
            Replacement equity spot values paired with qualified equity
            identifiers. Pricing-detail requests require each supplied value to
            be positive.
          nullable: true
        equity_vol_grid_overrides:
          type: array
          items:
            $ref: '#/components/schemas/EquityVolGrid'
          description: Replacement equity volatility grids supplied to the calculation.
          nullable: true
        equity_vol_surface_overrides:
          type: array
          items:
            $ref: '#/components/schemas/EquityVolSurface'
          description: Replacement equity volatility surfaces supplied to the calculation.
          nullable: true
        equity_vol_of_var_curve_overrides:
          type: array
          items:
            $ref: '#/components/schemas/EquityVolOfVarCurve'
          description: >-
            Request-scoped replacement volatility-of-variance curves for
            qualified equity/index identifiers.

            Null or empty leaves stored marks unchanged. Each curve replaces the
            complete curve on its reference

            date, taking precedence over provider fallback without uploading
            data. Only curves matching the

            calculation pricing/as-of date apply; other reference dates are
            ignored. Maturities must be positive,

            strictly increasing calendar-day counts with matching finite,
            non-negative decimal volatilities.

            Zero volatility removes the volatility-of-variance convexity
            adjustment. Duplicate underlying/date

            pairs and unsupported identifiers fail conversion. ProviderId is
            metadata, not an environment selector.
          nullable: true
        equity_vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: >-
            Spot-response model selected for replacement equity volatility
            surfaces. Defaults to sticky_strike.
        borrow_curve_overrides:
          type: array
          items:
            $ref: '#/components/schemas/BorrowCurveOverride'
          description: Replacement equity borrow curves supplied to the calculation.
          nullable: true
        dividends_overrides:
          type: array
          items:
            $ref: '#/components/schemas/DividendsOverride'
          description: Replacement dividend curves supplied to the calculation.
          nullable: true
        cmdty_spot_overrides:
          type: array
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          description: Replacement commodity spot values supplied by commodity-code prefix.
          nullable: true
        fx_spot_currency:
          type: string
          description: >-
            Three-character common currency in which all FX spot overrides are
            expressed; required when overrides are supplied.
          nullable: true
        fx_spot_overrides_by_currency:
          type: array
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          description: >-
            FX spot values keyed by distinct three-character currencies and
            expressed against FxSpotCurrency.
          nullable: true
        andersen_buffum_parameters_overrides:
          type: array
          items:
            $ref: '#/components/schemas/AndersenBuffumParameters'
          description: >-
            Replacement Andersen-Buffum parameter sets supplied to the
            calculation.
          nullable: true
        recovery_rate_overrides:
          type: array
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          description: >-
            Replacement recovery-rate values paired with qualified instrument
            identifiers.
          nullable: true
        equity_fx_correlation_overrides:
          type: array
          items:
            $ref: '#/components/schemas/EquityFxCorrelationData'
          description: Replacement equity-to-FX correlations supplied to the calculation.
          nullable: true
        equity_equity_correlation_overrides:
          type: array
          items:
            $ref: '#/components/schemas/EquityEquityCorrelationData'
          description: >-
            Replacement equity-to-equity correlations supplied to the
            calculation.
          nullable: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.MarketDataOverride,
              Derivitec.Web.Core
      additionalProperties: false
      description: >-
        Optional market-data substitutions supplied with pricing, risk, or
        report calculations.
    IPricingModelManager:
      description: Pricing-model configuration role accepted by calculation requests.
      discriminator:
        propertyName: $type
        mapping:
          Derivitec.Web.Core.Tradables.IPricingModelManager, Derivitec.Web.Core: '#/components/schemas/IPricingModelManagerMintlifyShape'
          Derivitec.Web.Core.Tradables.PricingModelManager, Derivitec.Web.Core: '#/components/schemas/PricingModelManager'
      oneOf:
        - $ref: '#/components/schemas/IPricingModelManagerMintlifyShape'
        - $ref: '#/components/schemas/PricingModelManager'
    InstrumentIdentifierBooleanKeyValuePair:
      type: object
      properties:
        key:
          $ref: '#/components/schemas/InstrumentIdentifier'
        value:
          type: boolean
      additionalProperties: false
    RiskCalculationResult:
      required:
        - $type
      type: object
      properties:
        error_message:
          type: string
          description: >-
            First calculation-level error message, or an empty string when no
            such message is present.
          nullable: true
        error_messages:
          type: array
          items:
            type: string
          description: >-
            Non-empty calculation-level error messages that apply to the request
            as a whole.
          nullable: true
        error_messages_by_security_id:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: >-
            Error messages grouped by the affected security or tradable
            identifier.
        market_data_error_summary:
          $ref: '#/components/schemas/MarketDataErrorSummary'
        risk_results:
          type: array
          items:
            $ref: '#/components/schemas/RiskResult'
          description: >-
            Individual measure results returned for the requested tradables and
            scenarios.
          nullable: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.RiskCalculationResult,
              Derivitec.Web.Core
      additionalProperties: false
      description: Collects risk rows and diagnostics for one risk-calculation request.
    BorrowCurveDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        tenors:
          type: array
          items:
            type: string
          description: Gets the list of tenors
          nullable: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_proportional_shocks:
          type: boolean
          description: Gets the proportional shock flag.
        use_forward_rate_bumps:
          type: boolean
          description: Gets the forward rate bump flag.
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.BorrowCurveDelta, Derivitec.Web.Core
      additionalProperties: false
      description: Class BorrowCurveDelta.
    BorrowCurveShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_proportional_shocks:
          type: boolean
          description: Gets the proportional shock flag.
        use_forward_rate_bumps:
          type: boolean
          description: Gets the forward rate bump flag.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.BorrowCurveShock, Derivitec.Web.Core
      additionalProperties: false
      description: Class BorrowCurveShock.
    CmdtyDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        sticky_smile_ratio:
          type: number
          description: Gets the sticky smile ratio
          format: double
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyDelta, Derivitec.Web.Core
      additionalProperties: false
      description: The commodity delta delta.
    CmdtyGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        sticky_smile_ratio:
          type: number
          description: Gets the sticky smile ratio
          format: double
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyGamma, Derivitec.Web.Core
      additionalProperties: false
      description: Class commodity gamma.
    CmdtyRealisedVol:
      required:
        - $type
      type: object
      additionalProperties: false
      description: Class CmdtyRealisedVol.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        lookback_window:
          type: integer
          description: The lookback window length.
          format: int32
          readOnly: true
        use_percentage_points:
          type: boolean
          description: >-
            If set true realised vols are expressed in percentage points,
            otherwise they are expressed in reporting ccy units by scaling with
            spot.
          readOnly: true
        decay_period:
          type: integer
          description: The exponential decay period used to determine weights.
          format: int32
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyRealisedVol, Derivitec.Web.Core
    CmdtyRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      additionalProperties: false
      description: The commodity risk measure.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyRiskMeasure, Derivitec.Web.Core
    CmdtySpotShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        calculate_price_changes:
          type: boolean
          description: >-
            Set to true to calculate price *changes*. Otherwise we calculate
            prices.
        shock_size:
          type: number
          description: Gets or sets the shock size.
          format: double
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
        sticky_smile_ratio:
          type: number
          description: Gets or sets the sticky smile ratio.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtySpotShock, Derivitec.Web.Core
      additionalProperties: false
      description: The commodity spot risk.
    CmdtyVega:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyVega, Derivitec.Web.Core
      additionalProperties: false
      description: The commodity vega class.
    CreditDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        is_spread_based:
          type: boolean
          description: Gets the shock size
        shock_size:
          type: number
          description: The shock size.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditDelta, Derivitec.Web.Core
      additionalProperties: false
      description: The credit delta.
    CreditGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        is_spread_based:
          type: boolean
          description: Gets the shock size
        shock_size:
          type: number
          description: The shock size.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditGamma, Derivitec.Web.Core
      additionalProperties: false
      description: The credit gamma
    CreditParallelShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CreditParallelShock,
              Derivitec.Web.Core
      additionalProperties: false
      description: The CreditParallelShock.
    CreditRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      additionalProperties: false
      description: The credit risk measure.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CreditRiskMeasure,
              Derivitec.Web.Core
    CreditSpread:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        reference_bond_yield_curve_id:
          type: string
          description: >-
            The reference bond yield curve id (optional).

            If populated all credit spreads are measured against this yield
            curve
          nullable: true
        use_discount_curve_as_reference_curve:
          type: boolean
          description: >-
            Set to true if credit spreads should be measured relative to the
            discount rate in the same currency as the bond
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditSpread, Derivitec.Web.Core
      additionalProperties: false
    CreditVega:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditVega, Derivitec.Web.Core
      additionalProperties: false
      description: The credit vega.
    DividendDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: Gets the shock size
          format: double
        is_all_in_rate_shock:
          type: boolean
          description: Gets the all in rate shock flag
        tenors:
          type: array
          items:
            type: string
          description: Gets the list of tenors
          nullable: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.DividendDelta, Derivitec.Web.Core
      additionalProperties: false
      description: Class DividendDelta.
    DividendShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        all_in_rate_shock_size:
          type: number
          description: The all in rate shock size
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.DividendShock, Derivitec.Web.Core
      additionalProperties: false
      description: Class IrDelta.
    Duration:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: Gets or sets the shock size.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.Duration, Derivitec.Web.Core
      additionalProperties: false
      description: The rho.
    EqCorrelationDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: Gets the shock size
          format: double
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.EqCorrelationDelta,
              Derivitec.Web.Core
      additionalProperties: false
      description: Class EqDelta.
    EqDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: Gets the shock size
          format: double
        sticky_smile_ratio:
          type: number
          description: Gets the sticky smile ratio
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqDelta, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqDelta.
    EqDeltaShares:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqDeltaShares, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqDeltaShares.
    EqFairVolDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqFairVolDelta, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqFairVolDelta.
    EqFairVolGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqFairVolGamma, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqVolIndexGammaShares.
    EqGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: Gets the shock size
          format: double
        sticky_smile_ratio:
          type: number
          description: Gets the sticky smile ratio
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqGamma, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqGamma.
    EqRealisedVol:
      required:
        - $type
      type: object
      additionalProperties: false
      description: Class EqRealisedVol.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        lookback_window:
          type: integer
          description: The lookback window length.
          format: int32
          readOnly: true
        use_percentage_points:
          type: boolean
          description: >-
            If set true realised vols are expressed in percentage points,
            otherwise they are expressed in reporting ccy units by scaling with
            spot.
          readOnly: true
        decay_period:
          type: integer
          description: The exponential decay period used to determine weights.
          format: int32
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqRealisedVol, Derivitec.Web.Core
    EqRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqRiskMeasure, Derivitec.Web.Core
      additionalProperties: false
      description: The risk measure.
    EqSpotShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: Gets or sets the shock size.
          format: double
        sticky_smile_ratio:
          type: number
          description: Gets or sets the sticky smile ratio.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqSpotShock, Derivitec.Web.Core
      additionalProperties: false
      description: The equity spot risk.
    EqVanna:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_proportional_vol_bumps:
          type: boolean
          description: Gets the use proportional vol bumps flag.
        use_parallel_shift:
          type: boolean
          description: Gets the use parallel shift flag.
        shock_equity_vol_indices:
          type: boolean
          description: Gets the shock equity vol indices flag.
        sticky_smile_ratio:
          type: number
          description: Gets the sticky smile ratio
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVanna, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqVanna.
    EqVega:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_proportional_vol_bumps:
          type: boolean
          description: Gets the use proportional vol bumps flag.
        use_parallel_shift:
          type: boolean
          description: Gets the use parallel shift flag.
        shock_equity_vol_indices:
          type: boolean
          description: Gets the shock equity vol indices flag.
        tenors:
          type: array
          items:
            type: string
          description: Gets the list of tenors
          nullable: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVega, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqVega.
    EqVolGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky delta.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_proportional_vol_bumps:
          type: boolean
          description: Gets the use proportional vol bumps flag.
        use_parallel_shift:
          type: boolean
          description: Gets the use parallel shift flag.
        shock_equity_vol_indices:
          type: boolean
          description: Gets the shock equity vol indices flag.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolGamma, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqVolGamma.
    EqVolIndexDeltaShares:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.EqVolIndexDeltaShares,
              Derivitec.Web.Core
      additionalProperties: false
      description: Class EqVolIndexDeltaShares.
    EqVolIndexGammaShares:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.EqVolIndexGammaShares,
              Derivitec.Web.Core
      additionalProperties: false
      description: Class EqVolIndexGammaShares.
    EqVolIndexVega:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolIndexVega, Derivitec.Web.Core
      additionalProperties: false
      description: Class EqVolIndexVega.
    EqVolSkewDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        shock_equity_vol_indices:
          type: boolean
          description: Gets the shock equity vol indices flag.
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolSkewDelta, Derivitec.Web.Core
      additionalProperties: false
    EqVolSkewGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        shock_equity_vol_indices:
          type: boolean
          description: Gets the shock equity vol indices flag.
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolSkewGamma, Derivitec.Web.Core
      additionalProperties: false
    FxDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        use_inverse_currency_shock:
          type: boolean
          description: >-
            Flag to apply bump to the inverse currency pair. The reporting
            currency is the base currency.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxDelta, Derivitec.Web.Core
      additionalProperties: false
      description: The FX delta measure.
    FxDeltaByCross:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_by_quoted_fx_cross_id:
          type: boolean
          description: >-
            for a given underlying currency pair we need to decide if we
            calculate delta by shocking XXXYYY or YYYXXX

            If this flag is true, we shock the direction with IsQuotedFxCross ==
            true; otherwise we shock XXXYYY where YYY is the premium currency
        shock_size:
          type: number
          description: The shock size.
          format: double
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxDeltaByCross, Derivitec.Web.Core
      additionalProperties: false
      description: The FX delta by cross measure.
    FxGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        use_inverse_currency_shock:
          type: boolean
          description: >-
            Flag to apply bump to the inverse currency pair. The reporting
            currency is the base currency.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxGamma, Derivitec.Web.Core
      additionalProperties: false
      description: The FX gamma measure.
    FxGammaByCross:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_by_quoted_fx_cross_id:
          type: boolean
          description: >-
            for a given underlying currency pair we need to decide if we
            calculate gamma by shocking XXXYYY or YYYXXX

            If this flag is true, we shock the direction with IsQuotedFxCross ==
            true; otherwise we shock XXXYYY where YYY is the premium currency
        shock_size:
          type: number
          description: The shock size.
          format: double
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxGammaByCross, Derivitec.Web.Core
      additionalProperties: false
      description: The FX gamma measure.
    FxRealisedVol:
      required:
        - $type
      type: object
      additionalProperties: false
      description: Class FxRealisedVol.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        lookback_window:
          type: integer
          description: The lookback window length.
          format: int32
          readOnly: true
        use_percentage_points:
          type: boolean
          description: >-
            If set true realised vols are expressed in percentage points,
            otherwise they are expressed in reporting ccy units by scaling with
            spot.
          readOnly: true
        decay_period:
          type: integer
          description: The exponential decay period used to determine weights.
          format: int32
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxRealisedVol, Derivitec.Web.Core
    FxRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxRiskMeasure, Derivitec.Web.Core
      additionalProperties: false
      description: The FX risk measure.
    FxSpotShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_size:
          type: number
          description: Gets or sets the shock size.
          format: double
        calculate_price_changes:
          type: boolean
          description: >-
            Set to true to calculate price *changes*. Otherwise we calculate
            prices.
        include_reporting_currency_shock:
          type: boolean
          description: Include reporting currency shock.
        use_inverse_currency_shock:
          type: boolean
          description: Gets or sets the inverse currency shock flag.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxSpotShock, Derivitec.Web.Core
      additionalProperties: false
      description: The FX spot risk.
    FxSpotVolShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        calculate_price_changes:
          type: boolean
          description: >-
            Set to true to calculate price *changes*. Otherwise we calculate
            prices.
        include_reporting_currency_shock:
          type: boolean
          description: Include reporting currency shock.
        spot_shock_size:
          type: number
          description: The spot shock size.
          format: double
        use_implied_vol_bumps:
          type: boolean
          description: True to use implied vol bumps.
        use_proportional_vol_bumps:
          type: boolean
          description: The use proportional vol bumps flag.
        vol_shock_size:
          type: number
          description: The vol shock size.
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxSpotVolShock, Derivitec.Web.Core
      additionalProperties: false
      description: The FX spot vol shock measure.
    FxVanna:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_implied_vol_bumps:
          type: boolean
          description: >-
            If set to true vol bumps for surfaces without explicit reporting
            currency dependency will be implied from bumps to vol surfaces
            involving the reporting currency.
        use_inverse_currency_shock:
          type: boolean
          description: >-
            Flag to apply bump to the inverse currency pair. The reporting
            currency is the base currency.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVanna, Derivitec.Web.Core
      additionalProperties: false
      description: Class FxVanna.
    FxVega:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        tenors:
          type: array
          items:
            type: string
          description: Gets the list of tenors
          nullable: true
        use_implied_vol_bumps:
          type: boolean
          description: >-
            If set to true vol bumps for surfaces without explicit reporting
            currency dependency will be implied from bumps to vol surfaces
            involving the reporting currency.
        use_inverse_currency_shock:
          type: boolean
          description: >-
            Flag to apply bump to the inverse currency pair. The reporting
            currency is the base currency.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVega, Derivitec.Web.Core
      additionalProperties: false
      description: Class FxVega.
    FxVolGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_implied_vol_bumps:
          type: boolean
          description: >-
            If set to true vol bumps for surfaces without explicit reporting
            currency dependency will be implied from bumps to vol surfaces
            involving the reporting currency.
        use_inverse_currency_shock:
          type: boolean
          description: >-
            Flag to apply bump to the inverse currency pair. The reporting
            currency is the base currency.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVolGamma, Derivitec.Web.Core
      additionalProperties: false
      description: Class FxVolGamma.
    FxVolShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
          description: Gets the vol surface spot model.
          readOnly: true
        is_default_vol_surface_spot_model:
          type: boolean
          description: True for sticky spot model.
          readOnly: true
        tenors:
          type: array
          items:
            type: string
          description: Gets the list of tenors
          nullable: true
        vol_shock_func:
          $ref: '#/components/schemas/IVolShockFunc'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVolShock, Derivitec.Web.Core
      additionalProperties: false
      description: The FX vol shock dto.
    IrBasisShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: Gets or sets the shock size.
          format: double
        use_proportional_shocks:
          type: boolean
          description: If true all shocks are proportional (-10% shock means 5% -> 4.5%).
        basis_rate_asset_id:
          type: string
          description: >-
            This measure will basis shock all the non basis rate assets and
            re-price contracts which depend on the basis.
          nullable: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrBasisShock, Derivitec.Web.Core
      additionalProperties: false
      description: The ir basis risk.
    IrDelta:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        tenors:
          type: array
          items:
            type: string
          description: Gets the list of tenors
          nullable: true
        shock_size:
          type: number
          description: The shock size
          format: double
        use_proportional_shocks:
          type: boolean
          description: Gets the proportional shock flag.
        use_forward_rate_bumps:
          type: boolean
          description: Gets the forward rate bump flag.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrDelta, Derivitec.Web.Core
      additionalProperties: false
      description: Class IrDelta.
    IrGamma:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size
          format: double
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrGamma, Derivitec.Web.Core
      additionalProperties: false
      description: Class FxVega.
    IrParallelShock:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: Gets or sets the shock size.
          format: double
        use_proportional_shocks:
          type: boolean
          description: If true all shocks are proportional (-10% shock means 5% -> 4.5%).
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrParallelShock, Derivitec.Web.Core
      additionalProperties: false
      description: The equity spot risk.
    IrRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      additionalProperties: false
      description: The risk measure.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrRiskMeasure, Derivitec.Web.Core
    IrVega:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: The shock size.
          format: double
        vol_type:
          enum:
            - black
            - bachelier
          type: string
          description: The vol type.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrVega, Derivitec.Web.Core
      additionalProperties: false
      description: Class FxVega.
    MarketDataErrorReportingMeasure:
      required:
        - $type
      type: object
      additionalProperties: false
      description: The MarketDataErrorReportingMeasure.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.MarketDataErrorReportingMeasure,
              Derivitec.Web.Core
    Npv:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        return_futures_price:
          type: boolean
          description: >-
            Gets the return futures price flag. If set to true the NPV measure
            returns the futures price for all models that inherit from
            IFutureModel

            (instead of NPV).
        return_forward_price:
          type: boolean
          description: >-
            Gets the return forward price flag. If set to true the NPV measure
            returns the forward price for all forward contracts
        return_percent_price:
          type: boolean
          description: >-
            Gets the return percent price flag. If set to true the NPV measure
            returns 100 * Price / Notional.
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        trs_return_spot_price:
          type: boolean
          description: >-
            If set to true then for total return swaps (EqStock with IsTrs=true)
            we return the underlying spot
        return_option_premium:
          type: boolean
          description: >-
            Gets the return option premium flag. If set to true the NPV measure
            returns the option premium.
        return_futures_value:
          type: boolean
          description: >-
            Gets the return futures value flag. If set to true the NPV measure
            returns the futures value for all models that inherit from
            IFutureModel

            (instead of NPV which is zero).

            FuturesValue is distinct from FuturesPrice for bond futures, IR
            futures and bond options.
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.Npv, Derivitec.Web.Core
      additionalProperties: false
      description: Class Npv.
    PricingDetail:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        pricing_detail_type:
          enum:
            - underlying_price
            - reference_vol
            - futures_price
            - future_spread
            - bond_clean_price
            - effective_strike
            - yield_to_maturity
            - yield_to_put
            - reference_credit_spread
            - reference_borrow_rate
            - reference_dividend_yield
            - bond_floor
            - bond_parity
            - ascot_cb_price
            - contract_fx_spot
            - contract_fx_price
            - underlying_spot
            - contract_inv_fx_spot
            - contract_fx_spot_major
            - contract_inv_fx_spot_major
          type: string
          description: Get the pricing details type
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.PricingDetail, Derivitec.Web.Core
      additionalProperties: false
      description: Class PricingDetail.
    RealisedVolMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        lookback_window:
          type: integer
          description: The lookback window length.
          format: int32
          readOnly: true
        use_percentage_points:
          type: boolean
          description: >-
            If set true realised vols are expressed in percentage points,
            otherwise they are expressed in reporting ccy units by scaling with
            spot.
          readOnly: true
        decay_period:
          type: integer
          description: The exponential decay period used to determine weights.
          format: int32
          readOnly: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.RealisedVolMeasure,
              Derivitec.Web.Core
      additionalProperties: false
      description: Class RealisedVolMeasure.
    ReferenceVol:
      required:
        - $type
      type: object
      additionalProperties: false
      description: Class ReferenceVol.
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.ReferenceVol, Derivitec.Web.Core
    Rho:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          type: string
          description: >-
            Optional stored measure identifier used to preserve an explicit
            identifier for this measure definition.
          nullable: true
          readOnly: true
        shock_size:
          type: number
          description: Gets or sets the shock size.
          format: double
        use_contract_currency:
          type: boolean
          description: >-
            If true the risk is reported in the contract currency; otherwise in
            the reporting currency
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.Rho, Derivitec.Web.Core
      additionalProperties: false
      description: The rho.
    RiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
[...]
